Package Details: geany-plugins-git 1.33.0.r46.gfe6cb3d0-1

Git Clone URL: https://aur.archlinux.org/geany-plugins-git.git (read-only)
Package Base: geany-plugins-git
Description: Various plugins for Geany
Upstream URL: https://plugins.geany.org/
Licenses: GPL
Conflicts: geany-plugins, geany-plugins-svn
Provides: geany-plugins
Submitter: xyproto
Maintainer: None
Last Packager: trizen
Votes: 35
Popularity: 0.000158
First Submitted: 2011-12-17 12:35
Last Updated: 2018-04-06 14:19

Required by (1)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

liquibyte commented on 2013-10-18 02:49

Doesn't build for me at all. Even tried with autogen and make. The waf thing is a fiasco. Flagging.

SysGhost commented on 2013-08-15 05:34

This package is not valid anymore.
Quote from the README.md file:

## MultiTerm source has moved!

The [MultiTerm][mt] plugin is now part of the [Geany-Plugins][gp]
project and the latest source is hosted there. You can find the
latest `master` branch of this old repository by checking out the
[`old-master`][om] branch.

Feel free to still use the [Issue tracker][it] here to report issues
with the main plugin in the [Geany-Plugins][gp] project, it doesn't
have the [Github Issue tracker][GP] activated at the time of writing.

xyproto commented on 2013-07-09 11:15

Updated the PKGBUILD to use pkgver() etc.

Anonymous comment on 2013-04-07 18:54

This script should be updated for pacman 4.1 so that it more efficiently downloads the git repo.

xyproto commented on 2012-07-19 10:43

thanks mloskot, updated the package.

Anonymous comment on 2012-07-18 22:18

It seems geanylua plugin has some problems with building [1], so the package doesn't build too.
Temporarily, simple fix is to patch PKGBUILD to skip it:

- ./waf configure --prefix=/usr --libexecdir=/usr/lib
+ ./waf configure --prefix=/usr --libexecdir=/usr/lib --skip-plugins=geanylua

[1] http://lists.uvena.de/geany-devel/2012-July/006965.html

xyproto commented on 2011-12-31 17:47

Updated the PKGBUILD, sorry for the delay.

xyproto commented on 2011-12-30 21:20

RetroX, will upload the updated PKGBUILD shortly.

Anonymous comment on 2011-12-30 16:44

Why is this named geany-plugins-git if it still uses the SVN repository?

xyproto commented on 2011-12-17 12:41

gour, thanks, created geany-plugins-git, merged the votes and comments from geany-plugins-svn and updated the PKGBUILD.